import express from 'express'
import { createDelivery, getAllDeliveries, getDelivery, updateDelivery, deleteDelivery } from '../controllers/DeliveryController.js'
import protect from '../middleware/auth.js'

const router = express.Router();

router.post("/", protect, createDelivery);
router.get("/", protect, getAllDeliveries);
router.get("/:id", protect, getDelivery);
router.put("/:id", protect, updateDelivery);
router.delete("/:id", protect, deleteDelivery);

export default router;